<?php
/**
 * @file
 * sps_custom.features.inc
 */

/**
 * Implements hook_default_collection().
 */
function sps_custom_default_collection() {
  $items = array();
  $items['test_collection_1'] = entity_import('collection', '{
    "name" : "test_collection_1",
    "label" : "Test Collection 1",
    "rdf_mapping" : []
  }');
  $items['test_collection_2'] = entity_import('collection', '{
    "name" : "test_collection_2",
    "label" : "Test Collection 2",
    "rdf_mapping" : []
  }');
  return $items;
}

/**
 * Implements hook_ctools_plugin_api().
 */
function sps_custom_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "boxes" && $api == "box") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
}

/**
 * Implements hook_views_api().
 */
function sps_custom_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function sps_custom_node_info() {
  $items = array(
    'article' => array(
      'name' => t('Article'),
      'base' => 'node_content',
      'description' => t('Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'page' => array(
      'name' => t('Basic page'),
      'base' => 'node_content',
      'description' => t('Use <em>basic pages</em> for your static content, such as an \'About us\' page.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  return $items;
}
